#[=======================================================================[.rst:
myx_add_executable
------------------

Вспомогательная функция для создания исполняемого файла::

  myx_add_executable(TARGET_NAME)

Используется для совместимости с версиями CMake раньше 3.11,
в которых было необходимо указать хотя бы один файл с исходными текстами.

#]=======================================================================]

include_guard(GLOBAL)

function(myx_add_executable TARGET_NAME)
  if(${CMAKE_VERSION} VERSION_LESS "3.11.0")
    add_executable(${TARGET_NAME} ${ARGN} "")
  else()
    add_executable(${TARGET_NAME} ${ARGN})
  endif()
endfunction()
