#[=======================================================================[.rst:
Цель для удаления файлов, установленных выполнением цели `install`.
Если при установке использовалась переменная `DESTDIR`, то при удалении
файлов нужно указать то же значение.
#]=======================================================================]

include_guard(GLOBAL)

if((NOT TARGET uninstall) AND (NOT DEFINED ENV{SAPR_PREFIX}))
  configure_file(${CMAKE_CURRENT_LIST_DIR}/uninstall.cmake.in
                 ${CMAKE_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)
  add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_BINARY_DIR}/cmake_uninstall.cmake)
endif()
